Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Member Functions | List of all members
faiss::ScalarQuantizer::DistanceComputer Struct Referenceabstract

## Public Member Functions
virtual float | compute_distance (const float *x, const uint8_t *code)=0
| vector-to-code distance computation
virtual float | compute_code_distance (const uint8_t *code1, const uint8_t *code2)=0
| code-to-code distance computation

## Detailed Description

Definition at line 81 of file IndexScalarQuantizer.h.

The documentation for this struct was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/IndexScalarQuantizer.h